//   .mq4
// 
#include <WinUser32.mqh>
#include <stdlib.mqh>

void start()
{
   string title="";
   string msg="  ?    ";
   if (MessageBox(msg,title,MB_YESNO|MB_ICONQUESTION)!=IDYES) return;
   double x;
   string list[]={"EURUSD", 
                  "USDJPY", 
                  "GBPUSD", 
                  "USDCHF",
                  "CHFJPY",
                  "EURCHF",
                  "EURGBP",
                  "EURJPY",
                  "GBPCHF",
                  "GBPJPY"};
                  
   int period[] = { PERIOD_M1 , 
                    PERIOD_M5 , 
                    PERIOD_M15,
                    PERIOD_M30,
                    PERIOD_H1 ,
                    PERIOD_H4 ,
                    PERIOD_D1 ,
                    PERIOD_W1 ,
                    PERIOD_MN1};
                    
   string str_per[] = { "PERIOD_M1" , 
                        "PERIOD_M5" , 
                        "PERIOD_M15",
                        "PERIOD_M30",
                        "PERIOD_H1" ,
                        "PERIOD_H4" ,
                        "PERIOD_D1" ,
                        "PERIOD_W1" ,
                        "PERIOD_MN1"};

   double close[];

   for (int i = 0; i < ArraySize(list); i++)
   {
      Print("   "+list[i]);
      for (int j = 0; j < ArraySize(period); j++)
      {
         Comment(": " + (((i+1)*ArraySize(period) - ArraySize(period) + j + 1) * 100) / (ArraySize(list) * ArraySize(period))+ "%");

         x = iClose(list[i], period[j], 0);
         Print(list[i] + " : "+str_per[j]);

         while (true)
         {
            ArrayCopySeries(close, MODE_CLOSE, list[i], period[j]);
            int error = GetLastError();
            if (error == 0) break;
            if (IsStopped() == true) return(0);

            Sleep(10000);
         }
         Sleep(1000);
      }
   }
   msg="     ";
   MessageBox(msg,title,MB_OK|MB_ICONINFORMATION);
}
// End